require 'haredo/peer'
require 'haredo/config'

module HareDo
module Admin

class Interface

  attr_reader :name, :description

  include HareDo::Config

  def initialize(name, desc)
    @name        = name
    @description = desc
  end

  def parse(args)
    # Derived class implements
  end
  
end # class Interface

end # module Admin
end # module HareDo
