require 'json'
require 'haredo/plugin'

class Plugin < HareDo::Plugin

  UUID = 'status'

  attr_accessor :plugins

  def initialize(service, config, env)
    super UUID, service, config, env

    @plugins = {}
  end

  def process(msg)
    data = {}
    data['time'] = Time.now()
    data['pid']  = Process.pid.to_s

    plugins = []
    @plugins.each do |k,v|
      plugins << k
    end

    data['plugins'] = plugins

    @peer.reply(msg, :data=>JSON::generate(data))
  end

end # class Plugin
